<?xml version="1.0" encoding="UTF-8" ?>
<Config>
	<VersionCode>2</VersionCode>
	<Devices>
		<Device>
			<ID>1</ID>
			<Vendor>1</Vendor>
			<DisplayName>Desire(渴望/G7)</DisplayName>
			<Models>bravo</Models>
			<HardwareIDs>
				<HardwareID>
					<Mode>0</Mode>
					<Vid>0BB4</Vid>
					<Pid>0FF9</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>1</Mode>
					<Vid>0BB4</Vid>
					<Pid>0C87</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>3</Mode>
					<Vid>0BB4</Vid>
					<Pid>0FFF</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>4</Mode>
					<Vid>0BB4</Vid>
					<Pid>0C94</Pid>
				</HardwareID>
			</HardwareIDs>
		</Device>
		<Device>
			<ID>2</ID>
			<Vendor>0</Vendor>
			<DisplayName>Nexus One(N1)</DisplayName>
			<Models>passion</Models>
			<HardwareIDs>
				<HardwareID>
					<Mode>0</Mode>
					<Vid>18D1</Vid>
					<Pid>4E11</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>1</Mode>
					<Vid>18D1</Vid>
					<Pid>4E12</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>3</Mode>
					<Vid>0BB4</Vid>
					<Pid>0FFF</Pid>
				</HardwareID>
			</HardwareIDs>
		</Device>
		<Device>
			<ID>3</ID>
			<Vendor>2</Vendor>
			<DisplayName>Milestone(里程碑)</DisplayName>
			<Models>a853;umts_sholes</Models>
			<HardwareIDs>
				<HardwareID>
					<Mode>0</Mode>
					<Vid>22B8</Vid>
					<Pid>41D6</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>0</Mode>
					<Vid>22B8</Vid>
					<Pid>41D8</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>0</Mode>
					<Vid>22B8</Vid>
					<Pid>41D9</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>1</Mode>
					<Vid>22B8</Vid>
					<Pid>41DA</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>1</Mode>
					<Vid>22B8</Vid>
					<Pid>41DB</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>1</Mode>
					<Vid>22B8</Vid>
					<Pid>41DC</Pid>
				</HardwareID>
			</HardwareIDs>
		</Device>
		<Device>
			<ID>4</ID>
			<Vendor>3</Vendor>
			<DisplayName>I9000(Galaxy S)</DisplayName>
			<Models>galaxysmtd;GT-I9000</Models>
			<HardwareIDs>
				<HardwareID>
					<Mode>0</Mode>
					<Vid>04E8</Vid>
					<Pid>6877</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>1</Mode>
					<Vid>04E8</Vid>
					<Pid>681C</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>5</Mode>
					<Vid>04E8</Vid>
					<Pid>6601</Pid>
				</HardwareID>
			</HardwareIDs>
		</Device>
		<Device>
			<ID>5</ID>
			<Vendor>3</Vendor>
			<DisplayName>I9100(Galaxy S II)</DisplayName>
			<Models>galaxys2;GT-I9100</Models>
			<HardwareIDs>
				<HardwareID>
					<Mode>0</Mode>
					<Vid>04E8</Vid>
					<Pid>6860</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>1</Mode>
					<Vid>04E8</Vid>
					<Pid>685E</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>5</Mode>
					<Vid>04E8</Vid>
					<Pid>685D</Pid>
				</HardwareID>
			</HardwareIDs>
		</Device>
		<Device>
			<ID>6</ID>
			<Vendor>0</Vendor>
			<DisplayName>Nexus S</DisplayName>
			<Models>crespo</Models>
			<HardwareIDs>
				<HardwareID>
					<Mode>0</Mode>
					<Vid>18D1</Vid>
					<Pid>4E21</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>1</Mode>
					<Vid>18D1</Vid>
					<Pid>4E22</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>1</Mode>
					<Vid>0BB4</Vid>
					<Pid>0C94</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>3</Mode>
					<Vid>0BB4</Vid>
					<Pid>0FFF</Pid>
				</HardwareID>
			</HardwareIDs>
		</Device>
		<Device>
			<ID>7</ID>
			<Vendor>1</Vendor>
			<DisplayName>Desire Z</DisplayName>
			<Models>vision</Models>
			<HardwareIDs>
				<HardwareID>
					<Mode>0</Mode>
					<Vid>0BB4</Vid>
					<Pid>0FF9</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>1</Mode>
					<Vid>0BB4</Vid>
					<Pid>0C91</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>3</Mode>
					<Vid>0BB4</Vid>
					<Pid>0FFF</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>4</Mode>
					<Vid>0BB4</Vid>
					<Pid>0C94</Pid>
				</HardwareID>
			</HardwareIDs>
		</Device>
		<Device>
			<ID>8</ID>
			<Vendor>1</Vendor>
			<DisplayName>Desire S(G12)</DisplayName>
			<Models>saga</Models>
			<HardwareIDs>
				<HardwareID>
					<Mode>0</Mode>
					<Vid>0BB4</Vid>
					<Pid>0FF9</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>1</Mode>
					<Vid>0BB4</Vid>
					<Pid>0CAB</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>3</Mode>
					<Vid>0BB4</Vid>
					<Pid>0FF0</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>4</Mode>
					<Vid>0BB4</Vid>
					<Pid>0C94</Pid>
				</HardwareID>
			</HardwareIDs>
		</Device>
		<Device>
			<ID>9</ID>
			<Vendor>2</Vendor>
			<DisplayName>Defy(ME525/MB525)</DisplayName>
			<Models>jordan;umts_jordan</Models>
			<HardwareIDs>
				<HardwareID>
					<Mode>0</Mode>
					<Vid>22B8</Vid>
					<Pid>41D6</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>0</Mode>
					<Vid>22B8</Vid>
					<Pid>41D8</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>0</Mode>
					<Vid>22B8</Vid>
					<Pid>41D9</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>0</Mode>
					<Vid>22B8</Vid>
					<Pid>4287</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>1</Mode>
					<Vid>22B8</Vid>
					<Pid>41DA</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>1</Mode>
					<Vid>22B8</Vid>
					<Pid>41DB</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>1</Mode>
					<Vid>22B8</Vid>
					<Pid>41DC</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>1</Mode>
					<Vid>22B8</Vid>
					<Pid>428C</Pid>
				</HardwareID>
			</HardwareIDs>
		</Device>
		<Device>
			<ID>10</ID>
			<Vendor>1</Vendor>
			<DisplayName>Desire HD(G10)</DisplayName>
			<Models>ace</Models>
			<HardwareIDs>
				<HardwareID>
					<Mode>0</Mode>
					<Vid>0BB4</Vid>
					<Pid>0FF9</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>1</Mode>
					<Vid>0BB4</Vid>
					<Pid>0CA2</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>3</Mode>
					<Vid>0BB4</Vid>
					<Pid>0FF0</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>4</Mode>
					<Vid>0BB4</Vid>
					<Pid>0C94</Pid>
				</HardwareID>
			</HardwareIDs>
		</Device>
		<Device>
			<ID>11</ID>
			<Vendor>1</Vendor>
			<DisplayName>Incredible S(G11)</DisplayName>
			<Models>vivo</Models>
			<HardwareIDs>
				<HardwareID>
					<Mode>0</Mode>
					<Vid>0BB4</Vid>
					<Pid>0FF9</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>1</Mode>
					<Vid>0BB4</Vid>
					<Pid>0CAC</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>3</Mode>
					<Vid>0BB4</Vid>
					<Pid>0FF0</Pid>
				</HardwareID>
			</HardwareIDs>
		</Device>
		<Device>
			<ID>12</ID>
			<Vendor>2</Vendor>
			<DisplayName>Milestone2(里程碑2)</DisplayName>
			<Models>umts_milestone2;Milestone2;MotoA953</Models>
			<HardwareIDs>
				<HardwareID>
					<Mode>0</Mode>
					<Vid>22B8</Vid>
					<Pid>41D6</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>0</Mode>
					<Vid>22B8</Vid>
					<Pid>41D9</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>0</Mode>
					<Vid>22B8</Vid>
					<Pid>41DE</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>0</Mode>
					<Vid>22B8</Vid>
					<Pid>4287</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>1</Mode>
					<Vid>22B8</Vid>
					<Pid>41DA</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>1</Mode>
					<Vid>22B8</Vid>
					<Pid>41DB</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>1</Mode>
					<Vid>22B8</Vid>
					<Pid>41DC</Pid>
				</HardwareID>
				<HardwareID>
					<Mode>1</Mode>
					<Vid>22B8</Vid>
					<Pid>428C</Pid>
				</HardwareID>
			</HardwareIDs>
		</Device>
	</Devices>
</Config>